FROM rust:1.62.1-slim-bullseye as base
#as base

RUN apt-get update && apt-get upgrade -y

RUN apt-get install libssl-dev
RUN apt-get install -y -q build-essential curl git pkg-config

WORKDIR /app/cuddle/

RUN cargo install --git https://git.front.kjuulh.io/kjuulh/cuddle.git cuddle_cli
RUN export PATH="$PATH:/usr/local/cargo/bin/"

FROM docker:stable-dind

COPY --from=base /usr/local/cargo/bin/ /usr/local/cargo/bin/
ENV PATH="${PATH}:/usr/local/cargo/bin"
